com.unitech.lib.types

## Enum DeviceParamID

- java.lang.Object
- - java.lang.Enum<DeviceParamID>
  - - com.unitech.lib.types.DeviceParamID

- All Implemented Interfaces:
    Serializable, Comparable<DeviceParamID>

      public enum DeviceParamID
      extends Enum<DeviceParamID>

  The DeviceParamID enum represents different types of device parameters. Each device parameter is associated with a unique integer value and a descriptive string message. The enum also provides methods to get the integer value and string message of a device parameter, and to get a device parameter from its integer value. It also provides methods to get the access mode and MCU command ID of a device parameter, and to get an array containing the names of the device parameters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ambientTemperature`
    `ambientTemperatureProtection`
    `autoOffTime`
    `autoOffTimeList`
    `batteryStatus`
    `batteryStatusExtended`
    `beeperVolume`
    `bluetoothAddress`
    `bluetoothName`
    `bluetoothSecuritySimplePairing`
    `connectionMode`
    `controlCharacterFilter`
    `dataCollectionMode`
    `dataDisplayMode`
    `dataDisplayTime`
    `dataFormat`
    `dataInfo`
    `dataRange`
    `dataTerminator`
    `deviceIndicator`
    `deviceType`
    `displayMessage`
    `engineModel`
    `engineVersion`
    `eventNotification`
    `factoryReset`
    `findDevice`
    `findReplace`
    `firmwareVersion`
    `gs1AI`
    `hidInterCharacterDelay`
    `hidKeyboardCase`
    `hidKeyboardLanguage`
    `inventoryDataWithCustomizedFormat`
    `ledControl`
    `paTemperature`
    `paTemperatureProtection`
    `readMode`
    `reboot`
    `retrieveBatchedData`
    `rfidModuleFirmware`
    `rfidModuleModel`
    `rfidModuleSkuType`
    `scannerDataWithCustomizedFormat`
    `scannerIndicator`
    `screenOffTime`
    `serialNumber`
    `settingByLabel`
    `shutDown`
    `skuType`
    `stagingReset`
    `startDecode`
    `stopDecode`
    `systemTime`
    `tagUnique`
    `temperature`
    `temperatureProtectionMode`
    `triggerKeyStatus`
    `unpairBluetooth`
    `userData`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceParamID` | `fromValue(int value)` Gets a device parameter from its integer value.
    `AccessMode` | `getAccessMode()` Gets the access mode of the device parameter.
    `int` | `getCode()` Gets the integer value of the device parameter.
    `static String[]` | `names()` Returns an array containing the names of the device parameter constants.
    `String` | `toString()` Returns the string message of the device parameter.
    `int` | `value()` Gets the integer value of the device parameter.
    `static DeviceParamID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeviceParamID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### firmwareVersion

          public static final DeviceParamID firmwareVersion

    - #### deviceType

          public static final DeviceParamID deviceType

    - #### serialNumber

          public static final DeviceParamID serialNumber

    - #### bluetoothAddress

          public static final DeviceParamID bluetoothAddress

    - #### bluetoothName

          public static final DeviceParamID bluetoothName

    - #### batteryStatus

          public static final DeviceParamID batteryStatus

    - #### temperature

          public static final DeviceParamID temperature

    - #### vibrator

          public static final DeviceParamID vibrator

    - #### beeperVolume

          public static final DeviceParamID beeperVolume

    - #### systemTime

          public static final DeviceParamID systemTime

    - #### autoOffTime

          public static final DeviceParamID autoOffTime

    - #### readMode

          public static final DeviceParamID readMode

    - #### findDevice

          public static final DeviceParamID findDevice

    - #### dataFormat

          public static final DeviceParamID dataFormat

    - #### dataInfo

          public static final DeviceParamID dataInfo

    - #### dataRange

          public static final DeviceParamID dataRange

    - #### dataTerminator

          public static final DeviceParamID dataTerminator

    - #### tagUnique

          public static final DeviceParamID tagUnique

    - #### displayMessage

          public static final DeviceParamID displayMessage

    - #### screenOffTime

          public static final DeviceParamID screenOffTime

    - #### userData

          public static final DeviceParamID userData

    - #### bluetoothSecuritySimplePairing

          public static final DeviceParamID bluetoothSecuritySimplePairing

    - #### factoryReset

          public static final DeviceParamID factoryReset

    - #### shutDown

          public static final DeviceParamID shutDown

    - #### autoOffTimeList

          public static final DeviceParamID autoOffTimeList

    - #### rfidModuleFirmware

          public static final DeviceParamID rfidModuleFirmware

    - #### rfidModuleModel

          public static final DeviceParamID rfidModuleModel

    - #### rfidModuleSkuType

          public static final DeviceParamID rfidModuleSkuType

    - #### engineModel

          public static final DeviceParamID engineModel

    - #### engineVersion

          public static final DeviceParamID engineVersion

    - #### findReplace

          public static final DeviceParamID findReplace

    - #### triggerKeyStatus

          public static final DeviceParamID triggerKeyStatus

    - #### settingByLabel

          public static final DeviceParamID settingByLabel

    - #### dataCollectionMode

          public static final DeviceParamID dataCollectionMode

    - #### gs1AI

          public static final DeviceParamID gs1AI

    - #### hidInterCharacterDelay

          public static final DeviceParamID hidInterCharacterDelay

    - #### hidKeyboardLanguage

          public static final DeviceParamID hidKeyboardLanguage

    - #### hidKeyboardCase

          public static final DeviceParamID hidKeyboardCase

    - #### controlCharacterFilter

          public static final DeviceParamID controlCharacterFilter

    - #### ledControl

          public static final DeviceParamID ledControl

    - #### scannerIndicator

          public static final DeviceParamID scannerIndicator

    - #### unpairBluetooth

          public static final DeviceParamID unpairBluetooth

    - #### deviceIndicator

          public static final DeviceParamID deviceIndicator

    - #### startDecode

          public static final DeviceParamID startDecode

    - #### stopDecode

          public static final DeviceParamID stopDecode

    - #### reboot

          public static final DeviceParamID reboot

    - #### stagingReset

          public static final DeviceParamID stagingReset

    - #### skuType

          public static final DeviceParamID skuType

    - #### connectionMode

          public static final DeviceParamID connectionMode

    - #### ambientTemperature

          public static final DeviceParamID ambientTemperature

    - #### paTemperature

          public static final DeviceParamID paTemperature

    - #### ambientTemperatureProtection

          public static final DeviceParamID ambientTemperatureProtection

    - #### paTemperatureProtection

          public static final DeviceParamID paTemperatureProtection

    - #### temperatureProtectionMode

          public static final DeviceParamID temperatureProtectionMode

    - #### eventNotification

          public static final DeviceParamID eventNotification

    - #### retrieveBatchedData

          public static final DeviceParamID retrieveBatchedData

    - #### batteryStatusExtended

          public static final DeviceParamID batteryStatusExtended

    - #### inventoryDataWithCustomizedFormat

          public static final DeviceParamID inventoryDataWithCustomizedFormat

    - #### scannerDataWithCustomizedFormat

          public static final DeviceParamID scannerDataWithCustomizedFormat

    - #### dataDisplayMode

          public static final DeviceParamID dataDisplayMode

    - #### dataDisplayTime

          public static final DeviceParamID dataDisplayTime

  - ### Method Detail

    - #### values

          public static DeviceParamID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceParamID c : DeviceParamID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceParamID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Gets the integer value of the device parameter.
      Returns:
        The integer value of the device parameter.

    - #### getCode

          public int getCode()

      Gets the integer value of the device parameter.
      Returns:
        The integer value of the device parameter.

    - #### toString

          public String toString()

      Returns the string message of the device parameter.
      Overrides:
        `toString` in class `Enum<DeviceParamID>`
      Returns:
        The string message of the device parameter.

    - #### fromValue

          public static DeviceParamID fromValue(int value)
                                         throws IllegalArgumentException

      Gets a device parameter from its integer value.
      Parameters:
        `value` - The integer value of the device parameter.
      Returns:
        The device parameter associated with the integer value.
      Throws:
        `IllegalArgumentException` - If the integer value does not correspond to any device parameter.

    - #### names

          public static String[] names()

      Returns an array containing the names of the device parameter constants.
      Returns:
        An array containing the names of the device parameter constants.

    - #### getAccessMode

          public AccessMode getAccessMode()

      Gets the access mode of the device parameter.
      Returns:
        The access mode of the device parameter, which can be read-only, read-write, executable, or feature.